package com.persagy.ems.pojo.wz;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.core.annotation.Column;
import com.persagy.core.annotation.Dimension;
import com.persagy.core.annotation.Entity;
import com.persagy.core.annotation.Index;
import com.persagy.core.annotation.Table;
import com.persagy.core.enumeration.Schema;
import com.persagy.core.mvc.pojo.BusinessObject;

@Dimension
@Entity(name = "DependApiStatic")
@Table(name = "t_apiouter_static", comment = "第三方接口访问统计", schema = Schema.EMS, indexes = {
		@Index(columns = { "c_name", "c_type", "c_day_time" }, unique = true),
		@Index(columns = { "c_day_time", "c_name", "c_type" }),
		@Index(columns = { "c_day_time", "c_type" })})
public class DependApiStatic extends BusinessObject {
	private static final long serialVersionUID = 1162327033704027573L;
	@JsonProperty("name")
	@Column(order = 1, name = "c_name", length = 50, nullable = false, comment = "城市编码")
	private String name;
	@Column(order = 2, name = "c_num", length = 10, nullable = true, comment = "请求次数")
	@JsonProperty("num")
	private Integer num;
	@JsonProperty("type")
	@Column(order = 3, name = "c_type", length = 50, nullable = false, comment = "类型")
	private String type;
	@JsonProperty("dayTime")
	@Column(order = 3, name = "c_day_time", length = 0, nullable = false, comment = "日开始时间")
	private Date dayTime;
	@JsonProperty("updateTime")
	@Column(order = 3, name = "c_update_time", length = 0, nullable = false, comment = "数据保存时间")
	private Date updateTime;
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public Date getDayTime() {
		return dayTime;
	}
	public void setDayTime(Date dayTime) {
		this.dayTime = dayTime;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
}
